LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File kdebindings-smokekde.spec of Package kdebindings-smokekde (Project KDE:Unstable:SC)

#
# spec file for package kdebindings-smokekde
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdebindings-smokekde
Version:        4.12.1
Release:        0
Summary:        Kdebindings Smoke-kde library
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
%define sonum   3
Url:            https://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
Source0:        smokekde-%{version}.tar.xz
Patch1:          remove_kfile.diff
BuildRequires:  kate-devel
BuildRequires:  libjasper-devel
BuildRequires:  libkde4-devel
BuildRequires:  libkdepimlibs4-devel
BuildRequires:  libsmokegen-devel
BuildRequires:  libsmokeqt-devel
BuildRequires:  okular-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SMOKE bindings for libraries created by the KDE community.
Used by language bindings.

%package -n libsmokekde%{sonum}

Summary:        Kdebindings Smoke-kde library
Group:          Development/Libraries/KDE
Obsoletes:      libsmoke2 < %{version}
Provides:       libsmoke2 = %{version}
Obsoletes:      libsmokekde < %{version}
Provides:       libsmokekde = %{version}

%description -n libsmokekde%{sonum}
SMOKE bindings for libraries created by the KDE community.
Used by language bindings.

%package -n libsmokekde-devel
Summary:        Development files for libsmokekde
Group:          Development/Libraries/KDE
Requires:       libsmokekde%{sonum} = %{version}
Requires:       libsmokeqt-devel
Obsoletes:      libsmoke-devel < %{version}
Provides:       libsmoke-devel = %{version}

%description -n libsmokekde-devel
Development files and headers needed to build software
using libsmokekde

%prep
%setup -q -n smokekde-%{version}
%patch1 -p1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %kde4_makeinstall

%post -n libsmokekde%{sonum} -p /sbin/ldconfig

%postun -n libsmokekde%{sonum} -p /sbin/ldconfig

%files -n libsmokekde%{sonum}
%defattr(-,root,root)
%{_kde4_libdir}/libsmoke*.so.*

%files -n libsmokekde-devel
%defattr(-,root,root)
%{_kde4_libdir}/libsmoke*.so
%{_includedir}/smoke/
%{_datadir}/smokegen/

%changelog